[FFe][needs-packaging] rds Resara Server

Reported by Brendan Powers on 2012-02-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Wishlist
Unassigned

Bug Description

Rationale for FFe:

Resara Server is an Active Directory compatible open source server for small businesses designed around Samba 4. This is new functionality not already present in Ubuntu.

Package builds: Yes - see attached log.
Package installs: Not able to validate as samba4 currently broken (bug 936891) - however looks OK.
Package does not break other packages: As this is a new package it has limited/no impact on packages already in the archive.

Original Bug Report:

Resara Server is an Active Directory compatible open source server for small businesses designed around Samba 4. It is designed to be simple and easy to use. The management console lets you manage users, share files, and configure DHCP and DNS.

Home Page: http://www.resara.org/
License: GPL2/LGPL2/BSD
Launchpad PPA: https://launchpad.net/~resaraserver/+archive/resaraserver-testing

I've built a package for Ubuntu 12.04(Precise). It passes lintian without errors or warnings, and builds in pbuilder and launchpad.

Related branches

Changed in ubuntu:
assignee: nobody → Brendan Powers (brendan0powers)
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
James Page (james-page) wrote :
Download full text (11.4 KiB)

Hi Brendan

First of all thanks for taking the time to package rds for Ubuntu - looks like a really interesting project!

I have had a review of the packaging that you have provided in PPA - here is the feedback:

1) Lintian warnings/errors on resulting binary packaging

Although the source packaging is lintian clean, the resulting binary package still show quite a few warnings/errors; I've broken them down by type to make it a bit more digestable.

2) debian/copyright and licensing

Please could you update for DEP-5 machine readable format - see http://dep.debian.net/deps/dep5/

E: libqtrpc2: copyright-should-refer-to-common-license-file-for-lgpl
W: libqtrpc2: copyright-without-copyright-notice
E: librdsclient-dev: copyright-should-refer-to-common-license-file-for-lgpl
W: librdsclient-dev: copyright-without-copyright-notice
E: libqtrpc2-dev: copyright-should-refer-to-common-license-file-for-lgpl
W: libqtrpc2-dev: copyright-without-copyright-notice
E: librdsldap-dev: copyright-should-refer-to-common-license-file-for-lgpl
W: librdsldap-dev: copyright-without-copyright-notice
E: librdsserver-dev: copyright-should-refer-to-common-license-file-for-lgpl
W: librdsserver-dev: copyright-without-copyright-notice
W: librdsserver-dev: readme-debian-contains-debmake-template
E: rdsconsole: copyright-should-refer-to-common-license-file-for-lgpl
W: rdsconsole: copyright-without-copyright-notice
E: librdsldap: copyright-should-refer-to-common-license-file-for-lgpl
W: librdsldap: copyright-without-copyright-notice
E: rds: copyright-should-refer-to-common-license-file-for-lgpl
W: rds: copyright-without-copyright-notice
E: librdsserver: copyright-should-refer-to-common-license-file-for-lgpl
W: librdsserver: copyright-without-copyright-notice
E: rdsserver: copyright-should-refer-to-common-license-file-for-lgpl
W: rdsserver: copyright-without-copyright-notice
E: librdsclient: copyright-should-refer-to-common-license-file-for-lgpl
W: librdsclient: copyright-without-copyright-notice
E: rdsutils: copyright-should-refer-to-common-license-file-for-lgpl
W: rdsutils: copyright-without-copyright-notice

rds/windeps/BonjourPSSetup.exe: does this have the same licensing as the main source package?

3) debian/control:

All of the package description/extended descriptions are the same - it would be great to get more information about the individual packages. Generic information in each is fine so long as its supplemented by information specific to the binary package.

W: rdsconsole: description-synopsis-starts-with-article
W: rdsconsole: extended-description-line-too-long
W: librdsldap: description-synopsis-starts-with-article
W: librdsldap: extended-description-line-too-long
W: rds: description-synopsis-starts-with-article
W: rds: extended-description-line-too-long
W: librdsserver: description-synopsis-starts-with-article
W: librdsserver: extended-description-line-too-long
W: librdsserver: description-synopsis-starts-with-article
W: librdsserver: extended-description-line-too-long
W: librdsserver: description-synopsis-starts-with-article
W: librdsserver: extended-description-line-too-long
W: rdsserver: description-synopsis-starts-with-article
W: rdsserver: extended-descrip...

Download full text (14.2 KiB)

I have moved the package to the Resara Server code repository. To build the
source package,

hg clone https://bitbucket.org/resara/resara-server
cd resara-server/rds/packages/precise/
./debian/rules get-orig-source
dpkg-buildpackage -S

I've resolved most of the issues you've raised. See my comments below.

On Mon, Feb 13, 2012 at 6:22 AM, James Page <email address hidden> wrote:

> Hi Brendan
>
> First of all thanks for taking the time to package rds for Ubuntu -
> looks like a really interesting project!
>
> I have had a review of the packaging that you have provided in PPA -
> here is the feedback:
>
> 1) Lintian warnings/errors on resulting binary packaging
>
> Although the source packaging is lintian clean, the resulting binary
> package still show quite a few warnings/errors; I've broken them down by
> type to make it a bit more digestable.
>
> 2) debian/copyright and licensing
>
> Please could you update for DEP-5 machine readable format - see
> http://dep.debian.net/deps/dep5/
>
> E: libqtrpc2: copyright-should-refer-to-common-license-file-for-lgpl
> W: libqtrpc2: copyright-without-copyright-notice
> E: librdsclient-dev: copyright-should-refer-to-common-license-file-for-lgpl
> W: librdsclient-dev: copyright-without-copyright-notice
> E: libqtrpc2-dev: copyright-should-refer-to-common-license-file-for-lgpl
> W: libqtrpc2-dev: copyright-without-copyright-notice
> E: librdsldap-dev: copyright-should-refer-to-common-license-file-for-lgpl
> W: librdsldap-dev: copyright-without-copyright-notice
> E: librdsserver-dev: copyright-should-refer-to-common-license-file-for-lgpl
> W: librdsserver-dev: copyright-without-copyright-notice
> W: librdsserver-dev: readme-debian-contains-debmake-template
> E: rdsconsole: copyright-should-refer-to-common-license-file-for-lgpl
> W: rdsconsole: copyright-without-copyright-notice
> E: librdsldap: copyright-should-refer-to-common-license-file-for-lgpl
> W: librdsldap: copyright-without-copyright-notice
> E: rds: copyright-should-refer-to-common-license-file-for-lgpl
> W: rds: copyright-without-copyright-notice
> E: librdsserver: copyright-should-refer-to-common-license-file-for-lgpl
> W: librdsserver: copyright-without-copyright-notice
> E: rdsserver: copyright-should-refer-to-common-license-file-for-lgpl
> W: rdsserver: copyright-without-copyright-notice
> E: librdsclient: copyright-should-refer-to-common-license-file-for-lgpl
> W: librdsclient: copyright-without-copyright-notice
> E: rdsutils: copyright-should-refer-to-common-license-file-for-lgpl
> W: rdsutils: copyright-without-copyright-notice
>

I have updated the copyright file to the format you suggested, and added a
reference to Debian's license files

rds/windeps/BonjourPSSetup.exe: does this have the same licensing as the
> main source package?
>

This file has been removed.

>
> 3) debian/control:
>
> All of the package description/extended descriptions are the same - it
> would be great to get more information about the individual packages.
> Generic information in each is fine so long as its supplemented by
> information specific to the binary package.
>
> W: rdsconsole: description-synopsis-starts-with-article
> W: rdsconsole: extended-descript...

Hi Brendan

I've reviewed your updates and have the following comments:

1) debian/control

Please add a Homepage field to the source package entry:

Homepage: http://www.resara.org/

I'd also drop the Vcs-* entries; These need to refer to the Vcs location for the packaging, not resara itself - its probably easier for this first release if we just rely on the packaging branchs that will be created in launchpad post upload/acceptance.

I would also switch the Maintainer field as follows:

Maintainer: Ubuntu Developers <email address hidden>
XSBC-Original-Maintainer: Brendan Powers <email address hidden>

Remember once this is in Ubuntu any developer with the right upload permissions will be able to help maintain this package.

2) Empty files in debian/

./rds.dirs
./docs
./rds.install

Should be dropped.

3) libXXX-dev packaging naming

Thanks for switching the libXXX package names to be ABI versioned; however the -dev package for each does not need to be versioned - this means that other packages that depend on these libraries will automatically transition with a rebuild if/when you bump the ABI version of the libXXX package.

4) qtrpc2

I still don't understand the rationale for having a snapshot of this library in the rds source tree; why would we not just package this library up separately?

5) icons link

override_dh_install:
    mkdir -p debian/tmp/usr/.
    mkdir -p debian/rdsconsole/usr/lib/rds/icons
    ln -s /usr/share/rds/icons debian/rdsconsole/usr/lib/rds/icons

Because you are creating /usr/lib/rds/icons before creating the link to /usr/share/rds/icons its getting nested - i.e /usr/lib/rds/icsons/icons.

6) debian/copyright

You should add a License entry for LGPL-2 explicitly:

License: LGPL-2
  On Debian GNU/Linux system you can find the complete text of the
  LGPL-2 license in '/usr/share/common-licenses/LGPL-2'

I'd also just refer to each of the associated common license at the bottom of the License fields for LGPL-2+ and GPL-2+ rather than having them at the bottom of the file which I don't believe is machine readable.

Also the license fields should be formatted in-line with http://www.debian.org/doc/debian-policy/ch-controlfields#s-f-Description. Otherwise they won't display correctly when parsed/formatted.

James Page (james-page) wrote :

Brendan

I'm happy to pickup the final packaging changes I suggested above; however we do need to discuss the embedded qtrpc2 and either refactor it into a separate source package OR document why it needs to be included in this package.

Give me a ping on IRC.

Cheers

James

summary: - [needs-packaging] rds Resara Server
+ [FFE][needs-packaging] rds Resara Server
summary: - [FFE][needs-packaging] rds Resara Server
+ [FFe][needs-packaging] rds Resara Server
description: updated
James Page (james-page) on 2012-02-17
description: updated
James Page (james-page) wrote :
description: updated
James Page (james-page) on 2012-02-20
description: updated
Changed in ubuntu:
milestone: none → ubuntu-12.04-beta-1
description: updated
James Page (james-page) wrote :

I happy with the package and will upload once FFe approved by release team.

description: updated
Changed in ubuntu:
assignee: Brendan Powers (brendan0powers) → nobody
description: updated
Dave Walker (davewalker) wrote :

FFe approved, please upload. Depending on the workload of the NEW reviewers will determine when (or if) if lands.

Thanks!

Changed in ubuntu:
status: New → Triaged
James Page (james-page) wrote :

Uploaded - thanks for your work Brendan!

This package will now be reviewed by one if the archive admin team (this may take some time due to workloads).

Changed in ubuntu:
status: Triaged → Fix Committed
James Page (james-page) wrote :

Brendan

The initial upload was rejected for a couple of reasons; I can work on the copyright stuff but it would be really helpful if the errant nfs files could be removed from the rds release tarball.

Cheers

James

Martin Pitt (pitti) on 2012-03-02
Changed in ubuntu:
milestone: ubuntu-12.04-beta-1 → ubuntu-12.04-beta-2

Ok, I have removed the nfs files from the release tarball.

On Thu, Mar 1, 2012 at 6:08 PM, James Page <email address hidden> wrote:

> Brendan
>
> The initial upload was rejected for a couple of reasons; I can work on
> the copyright stuff but it would be really helpful if the errant nfs
> files could be removed from the rds release tarball.
>
> Cheers
>
> James
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/930422
>
> Title:
> [FFe][needs-packaging] rds Resara Server
>
> Status in Ubuntu:
> Fix Committed
>
> Bug description:
> Rationale for FFe:
>
> Resara Server is an Active Directory compatible open source server for
> small businesses designed around Samba 4. This is new functionality
> not already present in Ubuntu.
>
> Package builds: Yes - see attached log.
> Package installs: Not able to validate as samba4 currently broken (bug
> 936891) - however looks OK.
> Package does not break other packages: As this is a new package it has
> limited/no impact on packages already in the archive.
>
> Original Bug Report:
>
> Resara Server is an Active Directory compatible open source server for
> small businesses designed around Samba 4. It is designed to be simple
> and easy to use. The management console lets you manage users, share
> files, and configure DHCP and DNS.
>
> Home Page: http://www.resara.org/
> License: GPL2/LGPL2/BSD
> Launchpad PPA:
> https://launchpad.net/~resaraserver/+archive/resaraserver-testing
>
> I've built a package for Ubuntu 12.04(Precise). It passes lintian
> without errors or warnings, and builds in pbuilder and launchpad.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+bug/930422/+subscriptions
>

--
-----------------------
Brendan Powers
Resara LLC

1.888.357.9195
www.resara.com

James Page (james-page) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 02/03/12 16:02, Brendan Powers wrote:
> Ok, I have removed the nfs files from the release tarball.

Thanks Brendan

I spotted a couple of minor optimizations for debian/rules which I
applied and tested as well.

Just uploaded again to NEW for re-review.
- --
James Page
Ubuntu Core Developer
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJPUonjAAoJEL/srsug59jDjEYP/3iFNBfII6GAALuBTX5a6skZ
SuzvwDDNiJw1eeO10P/Plx6e66/64P5q6e92T5fGkKFMnkzT0egIu166xhlOuHZ8
PzNi5GKomi2giILUxum93kgGhl1SCI59b1BgNGF3o1DpxtweV3fixSZ0yzE4Cq5z
9P9QaGILi1lPimz/PBOgd9R71rLMkw7i9aKPNdRBlr+LBS6zwNlNoBf5Y7I1478D
SlXhlzVbnJw52Q1ui/kE4RvVUZ6GjF31WiqqTVz3cZ9NQ3Q9UYhdECvJqKuuaquc
EkreddhxQ2WjM7lWOYK8fcGcIHZNWTMTbrEr1BVyq/8DD63xarBTSj6NI/9sE+qp
r7YrSoOD+Jbj0P53hekIwg7Z04pHHpeosv54qJkhCVYaFfnFFrHrdfWzhkTVK4de
pJUC0x2DB7NKduOTXcKwS6ulsYQqhQqHY9qw0YuSK+9wrdwz+MJ7z+WcYX3gPBuX
UjW5qwvV3rCdMk+McY8G0q2rQEIV6XP3IKRghmNW2LlBpX87DU1zUXpcyVn+VzZF
dHQCNO9fghuSr6Pf/wu757p07fKE9LbShvQJN9Imbis8Gnkcg59lpgEFFxllGR5H
m3O1lDNds9OOGPXzsAkzQX+KriNflC572AHoj4JW1UB19fGDVLM5fJMWY9qZIJYa
10Gp8xx23x53yTeYr5iV
=izTH
-----END PGP SIGNATURE-----

Changed in ubuntu:
milestone: ubuntu-12.04-beta-2 → ubuntu-12.04
James Page (james-page) on 2012-03-31
Changed in ubuntu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers